Bug 37899 - UMC overview tab animation
UMC overview tab animation
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-27 18:52 CET by Johannes Keiser
Modified: 2015-03-11 15:06 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Keiser univentionstaff 2015-02-27 18:52:29 CET
To make the 'Back to overview' button more intuitive and improve the flow for UI actions a animation feature for opening and hiding tabs has been added.
Comment 1 Johannes Keiser univentionstaff 2015-02-27 18:57:33 CET
r58530
univention-management-console-frontend (4.1.106-32):
* Bug #37899: added animation when opening/hiding modules
Comment 2 Johannes Keiser univentionstaff 2015-02-27 19:04:36 CET
YAML: r58531
Comment 3 Alexander Kläser univentionstaff 2015-03-02 09:49:59 CET
I removed a trailing comma which caused a build error (dojo.js would be empty).

univention-management-console-frontend (4.1.106-34) [r58548]:
* Bug #37899: removed trailing comma
Comment 4 Florian Best univentionstaff 2015-03-03 12:47:36 CET
Not sure, but could this traceback come from the changes?: (happened when adding a share).

Uncaught ReferenceError: orientation is not defined
dojo.js.uncompressed.js:79791 
ReferenceError: orientation is not defined {stack: (...), message: "orientation is not defined"}
 "ReferenceError: orientation is not defined
    at Object.c.getEffectiveBox (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:76:279)
    at g.open (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:1081:10)
    at l.openDropDown (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:1675:303)
    at k._showResultList (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:939:131)
    at d (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:1141:103)
    at l._showResultList (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:479:104)
    at k._openResultList (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:938:250)
    at d (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:1141:103)
    at l._openResultList (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:1303:427)
    at null.<anonymous> (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:809:473)
    ----------------------------------------
    rejected at a (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:755:408)
    at e (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:755:160)
    at then.b.then (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:757:383)
    at http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:290:8
    at b.disabled.b._fetchHandle (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:235:219)
    at e (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:755:1)
    at then.b.then (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:757:383)
    at http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:290:8
    at r (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:235:137)
    at http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:810:23
    ----------------------------------------
Error
    at then.b.then (http://10.200.27.6/univention-management-console/js_$20152802161545$/dojo/dojo.js:757:328)
    at http://10.200.27.6/univention-management-console/js_$20152
Comment 5 Florian Best univentionstaff 2015-03-03 12:52:24 CET
It happens when clicking into the combobox "Type" when creating a new policy via the Policy module and prevents to select a policy type.
Comment 6 Florian Best univentionstaff 2015-03-03 12:57:07 CET
Well, I found this https://bugs.dojotoolkit.org/ticket/17786. So it's probably a bug in chromium's iOS emulation.
Comment 7 Alexander Kläser univentionstaff 2015-03-03 15:46:12 CET
I spotted a small glitch in the animation when opening, e.g., a user in a new tab and closing the tab again. Same applies to policies that are opened from within an object and then closed again.
Comment 8 Alexander Kläser univentionstaff 2015-03-04 10:52:04 CET
(In reply to Florian Best from comment #4)
> Not sure, but could this traceback come from the changes?: (happened when
> adding a share).
> 
> Uncaught ReferenceError: orientation is not defined
> [...]

This seems to be a problem with the SVG files:

> $ rgrep orientation *udm
> univention-management-console-module-udm/umc/icons/scalable/udm-groups-group.svg:       orientation="horizontal"
> univention-management-console-module-udm/umc/icons/scalable/udm-users-user.svg:       orientation="horizontal" />
> univention-management-console-module-udm/umc/icons/scalable/udm-policies.svg:       orientation="vertical"
> univention-management-console-module-udm/umc/icons/scalable/udm-settings-license.svg:       orientation="horizontal"
> univention-management-console-module-udm/umc/icons/scalable/udm-settings-license.svg:       orientation="vertical"
> univention-management-console-module-udm/umc/icons/scalable/udm-settings-license.svg:       orientation="horizontal"
> univention-management-console-module-udm/umc/icons/scalable/udm-users.svg:       orientation="horizontal" />
> univention-management-console-module-udm/umc/icons/scalable/udm-policies-policies.svg:       orientation="vertical"
> univention-management-console-module-udm/umc/icons/scalable/udm-users-passwd.svg:       orientation="horizontal"
> univention-management-console-module-udm/umc/icons/scalable/udm-groups.svg:       orientation="horizontal"
Comment 9 Alexander Kläser univentionstaff 2015-03-04 12:48:44 CET
(In reply to Alexander Kläser from comment #7)
> I spotted a small glitch in the animation when opening, e.g., a user in a
> new tab and closing the tab again. Same applies to policies that are opened
> from within an object and then closed again.

The same problem applied to tabs that were opened, e.g., from a UDM module via "open in new tab". I fixed this.

univention-management-console-frontend (4.1.106-37) [r58649]:
Bug #37899:
* removed unneeded switch to overview page in umc/app::closeTab()
* clean up some deprecated code parts that were commented out
Comment 10 Florian Best univentionstaff 2015-03-10 12:38:43 CET
Works fine except that the UCR variable is not described.
Please add a description to debian/univention-management-console-frontend.univention-config-registry-variables
Comment 11 Johannes Keiser univentionstaff 2015-03-11 12:18:53 CET

(In reply to Florian Best from comment #10)
> Works fine except that the UCR variable is not described.
> Please add a description to
> debian/univention-management-console-frontend.univention-config-registry-
> variables

add UCR variable description:
r58868
univention-management-console-frontend (4.1.106-38)
* Bug #37899: added description for the UCR variable
  umc/web/overview/tabs/animation_length
Comment 12 Florian Best univentionstaff 2015-03-11 12:25:56 CET
OK: chromium
~OK: Firefox (initial opening UCR module flickers a little bit)
~OK: IE (little flickering)
OK: android 
OK: UCR variable description
Comment 13 Moritz Muehlenhoff univentionstaff 2015-03-11 15:06:33 CET
http://errata.univention.de/ucs/4.0/107.html